### Hierarchy

- BaseXmlComponent
  - XmlComponent
    - ImportedXmlComponent
    - ImportedRootElementAttributes
    - Alignment
    - Border
    - ThematicBreak
    - Indent
    - KeepLines
    - KeepNext
    - Break
    - SmallCaps
    - Caps
    - BaseUnderline
    - VerticalAlign
    - RunFonts
    - Bold
    - Italics
    - Caps
    - Color
    - DoubleStrike
    - Emboss
    - Imprint
    - Shadow
    - SmallCaps
    - Strike
    - Size
    - SizeCs
    - RTL
    - Begin
    - Page
    - Separate
    - End
    - RunProperties
    - Style
    - Tab
    - Run
    - Text
    - SimplePos
    - Align
    - PositionOffset
    - HorizontalPosition
    - VerticalPosition
    - Blip
    - SourceRectangle
    - FillRectangle
    - Stretch
    - BlipFill
    - PicLocks
    - ChildNonVisualProperties
    - NonVisualProperties
    - NonVisualPicProperties
    - Extents
    - Offset
    - Form
    - AdjustmentValues
    - PresetGeometry
    - ShapeProperties
    - Pic
    - GraphicData
    - Graphic
    - WrapNone
    - WrapSquare
    - WrapTight
    - WrapTopAndBottom
    - DocProperties
    - EffectExtent
    - Extent
    - GraphicFrameLocks
    - GraphicFrameProperties
    - Anchor
    - Inline
    - Drawing
    - Break
    - PageBreakBefore
    - Spacing
    - Style
    - TabStop
    - Tab
    - NumberProperties
    - IndentLevel
    - NumberId
    - FootnoteReference
    - ParagraphProperties
    - Start
    - NumberFormat
    - LevelText
    - LevelJc
    - LevelBase
    - AbstractNumId
    - Num
    - LevelOverride
    - StartOverride
    - Bidi
    - Hyperlink
    - BookmarkStart
    - BookmarkEnd
    - Paragraph
    - BaseTableCellBorder
    - TableCellBorders
    - GridSpan
    - VMerge
    - VAlign
    - TableCellWidth
    - TableCellShading
    - TableGrid
    - GridCol
    - TableProperties
    - PreferredTableWidth
    - TableLayout
    - TableBorders
    - TableBordersElement
    - Table
    - TableRow
    - TableRowProperties
    - TableCell
    - TableCellProperties
    - AppProperties
    - Default
    - Override
    - ContentTypes
    - Title
    - Subject
    - Creator
    - Keywords
    - Description
    - LastModifiedBy
    - Revision
    - DateComponent
    - CoreProperties
    - Columns
    - DocumentGrid
    - FooterReference
    - HeaderReference
    - PageMargin
    - PageSize
    - SectionProperties
    - PageNumberType
    - Body
    - Document
    - Footer
    - Relationship
    - Relationships
    - FootnoteRef
    - Footnote
    - ContinuationSeperator
    - Seperator
    - FootNotes
    - Header
    - MultiLevelType
    - AbstractNumbering
    - Numbering
    - ParagraphPropertiesDefaults
    - RunPropertiesDefaults
    - DocumentDefaults
    - Name
    - BasedOn
    - Next
    - Link
    - UiPriority
    - UnhideWhenUsed
    - QuickFormat
    - TableProperties
    - RsId
    - SemiHidden
    - Style
    - Styles
    - TitlePage
    - NoFill
    - NoFill
    - Outline
    - LatentStyleException
    - LatentStyles
    - TestComponent

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- addChildElement
- delete
- prepForXml

## Constructors

### constructor

- new XmlComponent(rootKey: string): XmlComponent

- Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/xml-component.ts:6

  #### Parameters

  - ##### rootKey: string

  #### Returns XmlComponent

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: Array<BaseXmlComponent | string>

- Defined in file/xml-components/xml-component.ts:6

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

Generated using TypeDoc